Package ghidra.util

# Enum Class TwoWayBreakdownAddressRangeIterator.Which

java.lang.Object
java.lang.Enum<TwoWayBreakdownAddressRangeIterator.Which>
ghidra.util.TwoWayBreakdownAddressRangeIterator.Which

All Implemented Interfaces:
  `Serializable`, `Comparable<TwoWayBreakdownAddressRangeIterator.Which>`, `Constable`

Enclosing class:
  `TwoWayBreakdownAddressRangeIterator`

public static enum TwoWayBreakdownAddressRangeIterator.Which extends Enum<TwoWayBreakdownAddressRangeIterator.Which>
Indicates which of the input iterators contain a range

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `BOTH`
  Both included the range
  `LEFT`
  Only the left included the range
  `RIGHT`
  Only the right included the range

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `final boolean`
  `includesLeft`
  Indicates the the left iterator includes this range
  `final boolean`
  `includesRight`
  Indicates that the right iterator includes this range

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `inIntersect()`
  Check if this range is included in the intersection: `left ∩ right`
  `boolean`
  `inSubtract()`
  Check if this range is included in the difference: `left - right`
  `boolean`
  `inXor()`
  Check if this range is included in the symmetric difference: `left Δ right`
  `static TwoWayBreakdownAddressRangeIterator.Which`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static TwoWayBreakdownAddressRangeIterator.Which[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### LEFT

    public static final TwoWayBreakdownAddressRangeIterator.Which LEFT
    Only the left included the range

  - ### RIGHT

    public static final TwoWayBreakdownAddressRangeIterator.Which RIGHT
    Only the right included the range

  - ### BOTH

    public static final TwoWayBreakdownAddressRangeIterator.Which BOTH
    Both included the range

- ## Field Details

  - ### includesLeft

    public final boolean includesLeft
    Indicates the the left iterator includes this range

  - ### includesRight

    public final boolean includesRight
    Indicates that the right iterator includes this range

- ## Method Details

  - ### values

    public static TwoWayBreakdownAddressRangeIterator.Which[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static TwoWayBreakdownAddressRangeIterator.Which valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### inSubtract

    public boolean inSubtract()
    Check if this range is included in the difference: `left - right`
    Returns:
      true if included

  - ### inXor

    public boolean inXor()
    Check if this range is included in the symmetric difference: `left Δ right`
    Returns:
      true if included

  - ### inIntersect

    public boolean inIntersect()
    Check if this range is included in the intersection: `left ∩ right`
    Returns:
      true if included